%define major	0
%define api	1.0
%define girapi	1.0
%define libname	%mklibname git2-glib %{api} %{major}
%define girname	%mklibname git2-glib-gir %{girapi}
%define devname	%mklibname git2-glib %{api} -d

Name:		libgit2-glib
Version:        1.2.0
Release:	%mkrel 5
Summary:	Git library for GLib
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Libgit2-glib
Source0:	https://download.gnome.org/sources/libgit2-glib/%{url_ver}/%{name}-%{version}.tar.xz
# add compatibility for libgit2 1.9: https://gitlab.gnome.org/GNOME/libgit2-glib/-/merge_requests/47
Patch1:		0001-Fix-definition-of-GGIT_MICRO_VERSION.patch
Patch2:		0002-build-Fix-build-against-and-require-libgit2-1.8.0.patch
Patch3:		0003-chore-support-libgit2-1.9.patch
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgit2) >= 0.28
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3-gobject3
BuildRequires:	pkgconfig(vapigen)
# (tv) for autoconf:
BuildRequires:	gnome-common

%description
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n %{libname}
Summary:	A glib wrapper library around the libgit2 git access library
Group:		System/Libraries
Requires:	python3-%{name} = %{version}-%{release}

%description -n %{libname}
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n	%{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

%description -n	%{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
# Depend on python3-gobject for the python3 gi overrides directory.
# If we ever get a libgit2-glib consumer that does not depend on python3,
# it would probably make sense to split it to a separate subpackage.
Requires:	python3-gobject

%description -n python3-%{name}
This package contains the Python3 bindings for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true \
       -Dpython=true
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/libgit2-glib-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Ggit-%{girapi}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/
%{_includedir}/libgit2-glib-%{api}/
%{_libdir}/libgit2-glib-%{api}.so
%{_libdir}/pkgconfig/libgit2-glib-%{api}.pc
%{_datadir}/gir-1.0/Ggit-%{girapi}.gir
%{_datadir}/vala/vapi/*git*

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/*


%changelog
* Sat Feb 01 2025 wally <wally> 1.2.0-5.mga10
+ Revision: 2144056
- add libgit2 1.9 support
- clean old conflicts and drop unneeded local url_ver macro

* Fri Sep 20 2024 daviddavid <daviddavid> 1.2.0-4.mga10
+ Revision: 2099573
- add compatibility for libgit2 1.8
  https://gitlab.gnome.org/GNOME/libgit2-glib/-/merge_requests/40
+ papoteur <papoteur>
- rebuild for libgit2 1.8.1

* Wed Jan 10 2024 daviddavid <daviddavid> 1.2.0-3.mga10
+ Revision: 2029362
- rebuild for new libgit2 1.7.1

* Sat Dec 09 2023 wally <wally> 1.2.0-2.mga10
+ Revision: 2016205
- rebuild for py3.12

* Sat Sep 09 2023 wally <wally> 1.2.0-1.mga10
+ Revision: 1985579
- new version 1.2.0

* Mon Sep 19 2022 tv <tv> 1.1.0-1.mga9
+ Revision: 1890206
- Update to 1.1.0

* Thu Mar 31 2022 umeabot <umeabot> 1.0.0.1-3.mga9
+ Revision: 1836308
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.0.1-2.mga9
+ Revision: 1772377
- rebuild for python3.10

* Sun Jan 02 2022 wally <wally> 1.0.0.1-1.mga9
+ Revision: 1766249
- new version 1.0.0.1

* Mon Mar 15 2021 wally <wally> 0.99.0.1-4.mga9
+ Revision: 1703269
- rebuild for python 3.9

* Thu Dec 31 2020 neoclust <neoclust> 0.99.0.1-3.mga8
+ Revision: 1667126
- Rebuild against new git

* Sun Jul 26 2020 daviddavid <daviddavid> 0.99.0.1-2.mga8
+ Revision: 1609120
- split out the python3 bindings in its own sub-package and make it noarch
- adjust files list (s/%%{python3_sitearch}/%%{python3_sitelib}/)

* Thu Jul 23 2020 ovitters <ovitters> 0.99.0.1-1.mga8
+ Revision: 1608587
- workaround upstream packaging error
- new version 0.99.0.1
- rebuild for libgit2 (test)

* Sun Feb 16 2020 umeabot <umeabot> 0.28.0.1-3.mga8
+ Revision: 1531005
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.28.0.1-2.mga8
+ Revision: 1438433
- rebuild for python3.8

* Sat Jun 29 2019 wally <wally> 0.28.0.1-1.mga8
+ Revision: 1416089
- new version 0.28.0.1

* Sat Apr 20 2019 wally <wally> 0.27.8-3.mga7
+ Revision: 1393754
- rebuild for libgit2 0.28.1

* Wed Apr 17 2019 umeabot <umeabot> 0.27.8-2.mga7
+ Revision: 1392743
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 0.27.8-1.mga7
+ Revision: 1373230
- new version 0.27.8

* Mon Jan 07 2019 wally <wally> 0.26.4-9.mga7
+ Revision: 1350698
- rebuild for python3.7

* Thu Nov 29 2018 daviddavid <daviddavid> 0.26.4-8.mga7
+ Revision: 1336664
- split out in a separate sub-pkg the GObject Introspection interface library

* Sun Sep 23 2018 umeabot <umeabot> 0.26.4-7.mga7
+ Revision: 1298870
- Mageia 7 Mass Rebuild

* Tue Jul 10 2018 daviddavid <daviddavid> 0.26.4-6.mga7
+ Revision: 1242891
- fix version in libgit2-glib-1.0.pc pkgconfig file due to P0 (build-hack patch)

* Tue May 29 2018 kekepower <kekepower> 0.26.4-5.mga7
+ Revision: 1232997
- Update build-hack patch for new libgit2

* Mon Apr 02 2018 kekepower <kekepower> 0.26.4-4.mga7
+ Revision: 1214581
- Add patch to get this to build with the new libgit2
- Rebuild for new libgit2
+ tv <tv>
- fix URL
- rebuild for new libgit2

* Sat Mar 10 2018 tv <tv> 0.26.4-1.mga7
+ Revision: 1207998
- fix filelist
- BR pkgconfig(pygobject-3.0)
- switch to meson (no more autoconf support)
+ ovitters <ovitters>
- new version 0.26.4

* Thu Nov 30 2017 ovitters <ovitters> 0.26.2-1.mga7
+ Revision: 1180471
- new version 0.26.2

* Sun Jul 30 2017 ovitters <ovitters> 0.26.0-1.mga7
+ Revision: 1132848
- new version 0.26.0

* Wed Apr 05 2017 neoclust <neoclust> 0.25.0-2.mga6
+ Revision: 1095941
- Rebuild for armv7

* Wed Mar 22 2017 ovitters <ovitters> 0.25.0-1.mga6
+ Revision: 1094363
- new version 0.25.0

* Sun Sep 18 2016 ovitters <ovitters> 0.24.4-1.mga6
+ Revision: 1053782
- new version 0.24.4

* Mon Aug 22 2016 ovitters <ovitters> 0.24.2-1.mga6
+ Revision: 1047880
- new version 0.24.2

* Tue Mar 15 2016 tv <tv> 0.24.0-1.mga6
+ Revision: 990761
- bump BR on libgit2 (thus fixing compilation faillure)
+ ovitters <ovitters>
- new version 0.24.0

* Fri Feb 05 2016 ovitters <ovitters> 0.23.10-1.mga6
+ Revision: 937838
- new version 0.23.10

* Fri Dec 11 2015 ovitters <ovitters> 0.23.8-1.mga6
+ Revision: 909453
- new version 0.23.8

* Tue Sep 22 2015 wally <wally> 0.23.6-1.mga6
+ Revision: 882208
- new version 0.23.6

* Fri Aug 07 2015 wally <wally> 0.23.4-2.mga6
+ Revision: 861608
- enable vala build

* Fri Aug 07 2015 wally <wally> 0.23.4-1.mga6
+ Revision: 861590
- new version 0.23.4

* Tue Aug 04 2015 ovitters <ovitters> 0.23.2-1.mga6
+ Revision: 861038
- new version 0.23.2

* Sun Jun 21 2015 ovitters <ovitters> 0.22.8-1.mga6
+ Revision: 838095
- ensure ssh support works
- new version 0.22.8

* Tue Nov 04 2014 ovitters <ovitters> 0.0.24-1.mga5
+ Revision: 795556
- new version 0.0.24

* Wed Oct 15 2014 umeabot <umeabot> 0.0.22-4.mga5
+ Revision: 746774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.22-3.mga5
+ Revision: 686709
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 0.0.22-1.mga5
+ Revision: 676965
- new version 0.0.22

* Thu Jul 24 2014 ovitters <ovitters> 0.0.20-1.mga5
+ Revision: 656358
- new version 0.0.20

* Mon Jun 30 2014 ovitters <ovitters> 0.0.18-1.mga5
+ Revision: 641585
- new version 0.0.18

* Sun Jun 22 2014 ovitters <ovitters> 0.0.16-1.mga5
+ Revision: 638752
- new version 0.0.16

* Sun Jun 22 2014 ovitters <ovitters> 0.0.14-1.mga5
+ Revision: 638699
- new version 0.0.14

* Sun Jun 15 2014 ovitters <ovitters> 0.0.12-2.mga5
+ Revision: 636453
- fix url

* Wed Mar 05 2014 ovitters <ovitters> 0.0.12-1.mga5
+ Revision: 599905
- new version 0.0.12

* Sat Mar 01 2014 wally <wally> 0.0.10-2.mga5
+ Revision: 598195
- drop unneeded python3-gobject3-devel BR
- convert BRs to pkgconfig style

* Tue Feb 04 2014 wally <wally> 0.0.10-1.mga5
+ Revision: 582101
- clean .spec

* Fri Jan 10 2014 tv <tv> 0.0.10-1.mga4
+ Revision: 566134
- imported package libgit2-glib


* Fri Jan 10 2014 Thierry Vignaud <tv@mageia.org> 0.0.10-1.mga4
- initial release
